Loading...
Searching...
No Matches
pappso::MsDataFormatEnumStr Class Reference

static functions to convert mz file formats More...

`#include <mzformatenumstr.h>`

## Static Public Member Functions

static const QString | toString (MsDataFormat mz_format_enum)
| convert mz format enumeration to human readable string

## Detailed Description

static functions to convert mz file formats

Definition at line 40 of file mzformatenumstr.h.

## Member Function Documentation

## toString()

const QString pappso::MsDataFormatEnumStr::toString | ( | pappso::MsDataFormat | ms_data_format_enum | ) |

static

convert mz format enumeration to human readable string

Definition at line 37 of file mzformatenumstr.cpp.

{
QString ms_data_format_str;
switch(ms_data_format_enum)
{
case MsDataFormat::abSciexT2D:
ms_data_format_str = "abSciexT2D";
break;
case MsDataFormat::abSciexWiff:
ms_data_format_str = "abSciexWiff";
break;
case MsDataFormat::agilentMassHunter:
ms_data_format_str = "agilentMassHunter";
break;
case MsDataFormat::brukerBaf:
ms_data_format_str = "brukerBaf";
break;
case MsDataFormat::brukerFid:
ms_data_format_str = "brukerFid";
break;
case MsDataFormat::brukerTims:
ms_data_format_str = "brukerTims";
break;
case MsDataFormat::brukerYep:
ms_data_format_str = "brukerYep";
break;
case MsDataFormat::MGF:
ms_data_format_str = "MGF";
break;
case MsDataFormat::msn:
ms_data_format_str = "msn";
break;
case MsDataFormat::mz5:
ms_data_format_str = "mz5";
break;
case MsDataFormat::mzML:
ms_data_format_str = "mzML";
break;
case MsDataFormat::mzXML:
ms_data_format_str = "mzXML";
break;
case MsDataFormat::SQLite3:
ms_data_format_str = "SQLite3";
break;
case MsDataFormat::thermoRaw:
ms_data_format_str = "thermoRaw";
break;
case MsDataFormat::watersRaw:
ms_data_format_str = "watersRaw";
break;
case MsDataFormat::xy:
ms_data_format_str = "xy";
break;
default:
throw pappso::PappsoException(
QObject::tr("MsDataFormat unknown :\n%1")
.arg((std::uint8_t)ms_data_format_enum));
}
return ms_data_format_str;
}
pappso::PappsoException
Definition pappsoexception.h:42
pappso::MsDataFormat::brukerTims
@ brukerTims
pappso::MsDataFormat::msn
@ msn
pappso::MsDataFormat::xy
@ xy
(x,y) format
pappso::MsDataFormat::agilentMassHunter
@ agilentMassHunter
pappso::MsDataFormat::abSciexT2D
@ abSciexT2D
pappso::MsDataFormat::mzXML
@ mzXML
mzXML
pappso::MsDataFormat::watersRaw
@ watersRaw
pappso::MsDataFormat::mz5
@ mz5
pappso::MsDataFormat::brukerBaf
@ brukerBaf
pappso::MsDataFormat::mzML
@ mzML
mzML
pappso::MsDataFormat::abSciexWiff
@ abSciexWiff
pappso::MsDataFormat::brukerFid
@ brukerFid
pappso::MsDataFormat::SQLite3
@ SQLite3
SQLite3 format.
pappso::MsDataFormat::MGF
@ MGF
Mascot format.
pappso::MsDataFormat::thermoRaw
@ thermoRaw
pappso::MsDataFormat::brukerYep
@ brukerYep

References pappso::abSciexT2D, pappso::abSciexWiff, pappso::agilentMassHunter, pappso::brukerBaf, pappso::brukerFid, pappso::brukerTims, pappso::brukerYep, pappso::MGF, pappso::msn, pappso::mz5, pappso::mzML, pappso::mzXML, pappso::SQLite3, pappso::thermoRaw, pappso::watersRaw, and pappso::xy.

The documentation for this class was generated from the following files:

- pappsomspp/msfile/mzformatenumstr.h
- pappsomspp/msfile/mzformatenumstr.cpp